# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.95.0"
name = "rsql_repl"
version = "0.19.4"
authors = ["Brian Heineman <brian.heineman@gmail.com>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "rsql library for creating a REPL command line SQL interface"
readme = "README.md"
keywords = [
    "database",
    "mysql",
    "postgresql",
    "sql",
    "sqlite",
]
categories = [
    "command-line-interface",
    "command-line-utilities",
    "database",
]
license = "Apache-2.0 OR MIT"
repository = "https://github.com/theseus-rs/rsql"

[package.metadata.docs.rs]
features = []
rustdoc-args = []
targets = ["x86_64-unknown-linux-gnu"]

[features]
all = [
    "all-drivers",
    "all-formats",
]
all-drivers = [
    "driver-arrow",
    "driver-avro",
    "driver-brotli",
    "driver-bzip2",
    "driver-clickhouse",
    "driver-cockroachdb",
    "driver-cratedb",
    "driver-csv",
    "driver-delimited",
    "driver-duckdb",
    "driver-dynamodb",
    "driver-excel",
    "driver-file",
    "driver-flightsql",
    "driver-fwf",
    "driver-gzip",
    "driver-http",
    "driver-https",
    "driver-json",
    "driver-jsonl",
    "driver-lz4",
    "driver-mariadb",
    "driver-mysql",
    "driver-ods",
    "driver-orc",
    "driver-parquet",
    "driver-postgres",
    "driver-postgresql",
    "driver-redshift",
    "driver-rusqlite",
    "driver-s3",
    "driver-snowflake",
    "driver-sqlite",
    "driver-sqlserver",
    "driver-tsv",
    "driver-xml",
    "driver-xz",
    "driver-yaml",
    "driver-zstd",
]
all-formats = [
    "format-ascii",
    "format-csv",
    "format-expanded",
    "format-html",
    "format-json",
    "format-jsonl",
    "format-markdown",
    "format-plain",
    "format-psql",
    "format-sqlite",
    "format-tsv",
    "format-unicode",
    "format-xml",
    "format-yaml",
]
default = ["native-tls"]
driver-arrow = ["rsql_drivers/driver-arrow"]
driver-avro = ["rsql_drivers/driver-avro"]
driver-brotli = ["rsql_drivers/driver-brotli"]
driver-bzip2 = ["rsql_drivers/driver-bzip2"]
driver-clickhouse = ["rsql_drivers/driver-clickhouse"]
driver-cockroachdb = ["rsql_drivers/driver-cockroachdb"]
driver-cratedb = ["rsql_drivers/driver-cratedb"]
driver-csv = ["rsql_drivers/driver-csv"]
driver-delimited = ["rsql_drivers/driver-delimited"]
driver-duckdb = ["rsql_drivers/driver-duckdb"]
driver-dynamodb = ["rsql_drivers/driver-dynamodb"]
driver-excel = ["rsql_drivers/driver-excel"]
driver-file = ["rsql_drivers/driver-file"]
driver-flightsql = ["rsql_drivers/driver-flightsql"]
driver-fwf = ["rsql_drivers/driver-fwf"]
driver-gzip = ["rsql_drivers/driver-gzip"]
driver-http = ["rsql_drivers/driver-http"]
driver-https = ["rsql_drivers/driver-https"]
driver-json = ["rsql_drivers/driver-json"]
driver-jsonl = ["rsql_drivers/driver-jsonl"]
driver-libsql = ["rsql_drivers/driver-libsql"]
driver-lz4 = ["rsql_drivers/driver-lz4"]
driver-mariadb = ["rsql_drivers/driver-mariadb"]
driver-mysql = ["rsql_drivers/driver-mysql"]
driver-ods = ["rsql_drivers/driver-ods"]
driver-orc = ["rsql_drivers/driver-orc"]
driver-parquet = ["rsql_drivers/driver-parquet"]
driver-postgres = ["rsql_drivers/driver-postgres"]
driver-postgresql = ["rsql_drivers/driver-postgresql"]
driver-redshift = ["rsql_drivers/driver-redshift"]
driver-rusqlite = ["rsql_drivers/driver-rusqlite"]
driver-s3 = ["rsql_drivers/driver-s3"]
driver-snowflake = ["rsql_drivers/driver-snowflake"]
driver-sqlite = ["rsql_drivers/driver-sqlite"]
driver-sqlserver = ["rsql_drivers/driver-sqlserver"]
driver-tsv = ["rsql_drivers/driver-tsv"]
driver-xml = ["rsql_drivers/driver-xml"]
driver-xz = ["rsql_drivers/driver-xz"]
driver-yaml = ["rsql_drivers/driver-yaml"]
driver-zstd = ["rsql_drivers/driver-zstd"]
format-ascii = ["rsql_formatters/ascii"]
format-csv = ["rsql_formatters/csv"]
format-expanded = ["rsql_formatters/expanded"]
format-html = ["rsql_formatters/html"]
format-json = ["rsql_formatters/json"]
format-jsonl = ["rsql_formatters/jsonl"]
format-markdown = ["rsql_formatters/markdown"]
format-plain = ["rsql_formatters/plain"]
format-psql = ["rsql_formatters/psql"]
format-sqlite = ["rsql_formatters/sqlite"]
format-tsv = ["rsql_formatters/tsv"]
format-unicode = ["rsql_formatters/unicode"]
format-xml = ["rsql_formatters/xml"]
format-yaml = ["rsql_formatters/yaml"]
native-tls = ["rsql_drivers/native-tls"]
rustls = ["rsql_drivers/rustls"]

[lib]
name = "rsql_repl"
path = "src/lib.rs"

[[test]]
name = "shell"
path = "tests/shell.rs"

[[bench]]
name = "bench_main"
path = "benches/bench_main.rs"
harness = false

[dependencies.anyhow]
version = "1.0.102"

[dependencies.async-trait]
version = "0.1.89"

[dependencies.clap]
version = "4.6.1"
features = [
    "derive",
    "env",
]

[dependencies.clap-stdin]
version = "0.8.1"
features = ["tokio"]

[dependencies.clearscreen]
version = "4.0.6"

[dependencies.colored]
version = "3.1.1"

[dependencies.icu]
version = "2.2.0"

[dependencies.indicatif]
version = "0.18.4"

[dependencies.indoc]
version = "2.0.7"

[dependencies.regex]
version = "1.12.3"

[dependencies.rsql_core]
version = "0.19.4"

[dependencies.rsql_driver]
version = "0.19.4"

[dependencies.rsql_drivers]
version = "0.19.4"

[dependencies.rsql_formatters]
version = "0.19.4"

[dependencies.rust-i18n]
version = "4.0.0"

[dependencies.rustyline]
version = "18.0.0"

[dependencies.sqlparser]
version = "0.62.0"

[dependencies.tempfile]
version = "3.27.0"

[dependencies.thiserror]
version = "2.0.18"

[dependencies.tokio]
version = "1.52.3"
features = [
    "macros",
    "process",
    "rt",
    "rt-multi-thread",
]

[dependencies.tracing]
version = "0.1.44"

[dependencies.tracing-indicatif]
version = "0.3.14"

[dependencies.unicode-width]
version = "0.2.2"

[dev-dependencies.criterion]
version = "0.8.2"
features = ["async_tokio"]

[dev-dependencies.mockall]
version = "0.14.0"

[dev-dependencies.test-log]
version = "0.2.20"

[dev-dependencies.tokio]
version = "1.52.3"

[target.'cfg(all(target_family = "wasm", target_os = "unknown"))'.dependencies.getrandom]
version = "0.4.2"
features = ["wasm_js"]

[lints.clippy]
unwrap_used = "deny"
